﻿:root {
    --bs-primary: #33787F;
    --bs-primary-rgb: 50, 120, 130;
    --bs-primary-border: #508C8C;
    --bs-primary-border-rgb: 80, 140, 140;
    --bs-secondary-bg: #879191;
    --bs-secondary-bg-rgb: 135, 145, 145;
    --bs-link-color: #33787F;
    --bs-link-color-rgb: 50, 120, 130;
    --bs-link-decoration: underline;
    --bs-link-hover-color: #508C8C;
    --bs-link-hover-color-rgb: 80, 140, 140;
}

.btn {
    --bs-btn-font-size: 1.3rem;
}
.btn-primary {
    --bs-btn-color: #fff;
    --bs-btn-bg: rgba(var(--bs-primary-rgb), 1);
    --bs-btn-border-color: rgba(var(--bs-primary-border-rgb), 1);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: rgba(var(--bs-primary-rgb), 0.7);
    --bs-btn-hover-border-color: rgba(var(--bs-primary-border-rgb), 1);
    --bs-btn-focus-shadow-rgb: var(--bs-primary-rgb);
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: rgba(var(--bs-primary-rgb), 1);
    --bs-btn-active-border-color: rgba(var(--bs-primary-border-rgb), 1);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: var(--bs-secondary-bg);
    --bs-btn-disabled-border-color: var(--bs-secondary-bg);
}


.form-control {
    font-size: 1.3rem;
}
.form-select {
    font-size: 1.3rem;
}

.pagination {
    --bs-pagination-active-bg: #33787F;
    --bs-pagination-active-border-color: #508C8C;
}

.custom-switch {
    padding-left: 2.25rem;
}

    .custom-switch .custom-control-label::before {
        left: -2.25rem;
        width: 1.75rem;
        pointer-events: all;
        border-radius: 0.5rem;
    }

    .custom-switch .custom-control-label::after {
        top: calc(0.25rem + 2px);
        left: calc(-2.25rem + 2px);
        width: calc(1rem - 4px);
        height: calc(1rem - 4px);
        background-color: #adb5bd;
        border-radius: 0.5rem;
        transition: background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out, -webkit-transform 0.15s ease-in-out;
        transition: transform 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
        transition: transform 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out, -webkit-transform 0.15s ease-in-out;
    }

@media (prefers-reduced-motion: reduce) {
    .custom-switch .custom-control-label::after {
        transition: none;
    }
}

.custom-switch .custom-control-input:checked ~ .custom-control-label::after {
    background-color: #fff;
    -webkit-transform: translateX(0.75rem);
    transform: translateX(0.75rem);
}

.custom-switch .custom-control-input:disabled:checked ~ .custom-control-label::before {
    background-color: rgba(0, 123, 255, 0.5);
}